Bug 23809 - Update to DB revision 16.12.00.032 fails
Summary: Update to DB revision 16.12.00.032 fails
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
: 23810 (view as bug list)
Depends on: 23265 12063
Blocks: 19789
  Show dependency treegraph
 
Reported: 2019-10-14 08:53 UTC by Martin Renvoize
Modified: 2019-11-26 16:58 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.05


Attachments
Bug 23089: Correction to selectall_arrayref call. (1.07 KB, patch)
2019-10-14 08:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23809: Correction to selectall_arrayref call. (1.09 KB, patch)
2019-10-14 09:12 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-10-14 08:53:58 UTC
+++ This bug was initially created as a clone of Bug #23265 +++

When creating an instance from an older DB and running koha-upgrade-schema, the following error occurs.

>[…]
>Upgrade to 16.12.00.030 done (Bug 16344 - Add a circ rule to limit the auto renewals given a specific date)
>Upgrade to 16.12.00.031 done (Bug 15108: OAI-PMH provider improvements)
>Not a HASH reference at /usr/share/koha/intranet/cgi-bin/installer/data/mysql/updatedatabase.pl line 14371.


This is caused by an incorrect dbh call added in bug 23265. I should have caught this before pushing, sorry chaps.
Comment 1 Martin Renvoize 2019-10-14 08:58:56 UTC
Created attachment 94043 [details] [review]
Bug 23089: Correction to selectall_arrayref call.

This patch adds the missing `{ Slice => {} }` attribute to the database
call introduced in bug 23265 to fix the use of Koha::Objects introduced
originally in bug 12063.
Comment 2 Martin Renvoize 2019-10-14 09:03:18 UTC
This affects 19.05.04+ and 18.11.10+ badly if you're upgrading from pre 17.05.
Comment 3 Jonathan Druart 2019-10-14 09:12:02 UTC
Created attachment 94044 [details] [review]
Bug 23809: Correction to selectall_arrayref call.

This patch adds the missing `{ Slice => {} }` attribute to the database
call introduced in bug 23265 to fix the use of Koha::Objects introduced
originally in bug 12063.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2019-10-14 12:31:15 UTC
Simple patch so going to take Jonathans SO and  a PQA (especially as I've used this in production myself with an upgrade for a live customer this morning).
Comment 5 Martin Renvoize 2019-10-14 12:31:39 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Katrin Fischer 2019-10-14 20:21:41 UTC
*** Bug 23810 has been marked as a duplicate of this bug. ***
Comment 7 Fridolin SOMERS 2019-11-08 14:51:49 UTC
Pushed to 19.05.x for 19.05.05